aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxkbui/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-15 15:48:07 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-15 15:48:07 +0000
commit98d3307f4b9368f2bcfbdb469af73f94dcb943b5 (patch)
tree2570a3a1486de2af0133c08d32e80ad7d8186c51 /x11/libxkbui/APKBUILD
parent8cacbf4aa3428f2de13315f880b40d99910b8731 (diff)
downloadaports-98d3307f4b9368f2bcfbdb469af73f94dcb943b5.tar.gz
aports-98d3307f4b9368f2bcfbdb469af73f94dcb943b5.tar.bz2
aports-98d3307f4b9368f2bcfbdb469af73f94dcb943b5.tar.xz
x11/libxkbui: new aport
X11 keyboard UI presentation library
Diffstat (limited to 'x11/libxkbui/APKBUILD')
-rw-r--r--x11/libxkbui/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/libxkbui/APKBUILD b/x11/libxkbui/APKBUILD
new file mode 100644
index 0000000000..bc61f072eb
--- /dev/null
+++ b/x11/libxkbui/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxkbui
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="X11 keyboard UI presentation library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev"
+depends="libXt libX11 libSM libICE libxkbfile uclibc"
+makedepends="pkgconfig libXt-dev libX11-dev libSM-dev libICE-dev libxkbfile-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/$pkgname-$pkgver.tar.bz2"
+
+depends_dev="libX11-dev xproto libXt-dev"
+build () {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="1143e456f7429e18e88f2eadb2f2b6b1 libxkbui-1.0.2.tar.bz2"